gnutls_x509_crq_get_dn(3)

NAME
gnutls_x509_crq_get_dn - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_dn(gnutls_x509_crq_t crq, char * buf, size_t * buf_size);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

char * buf
    a pointer to a structure to hold the name (may be NULL)

size_t * buf_size
    initially holds the size of buf

DESCRIPTION
This function will copy the name of the Certificate request subject to the provided buffer. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC 2253. The output string
 buf will be ASCII or UTF-8 encoded, depending on the certificate data.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the * buf_size will be updated with the required size. On success 0 is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/